Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00022 Graphics Minor Have not tried Jan 16, 2008, 05:07 Jul 4, 2016, 23:24
Tester Twisty View Status Public Platform
Assigned To Resolution Fixed OS
Status [?] Resolved Driver megasys1.cpp
Version 0.104u2 Fixed in Version 0.123u3 Build
Summary 00022: tshingen: The wooden barrels randomly flicker on/off during the attract mode as well.
Description The wooden barrels randomly flicker on/off during the attract mode as well.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.36RC1
Affected Sets / Systems tshingen
Attached Files
png file icon tshingen0104u2gre2.png (45,206 bytes) Feb 13, 2008, 21:40
png file icon 0000.png (10,181 bytes) Apr 24, 2010, 17:01
zip file icon tshingen.zip (718,875 bytes) Oct 9, 2012, 07:37 Uploaded by B2K24
[0.147u1] save state, recorded movie and snaps.
Relationships
There are no relationsihp linked to this issue.
Notes
5
User avatar
No.06004
Tafoid
Administrator
Apr 24, 2010, 17:01
As of 0.137u3, I don't see flicker. The only oddness is something that comes up in the upper left corner of the screen when you use your sword (on occasion). Attached snap.
User avatar
No.09006
B2K24
Moderator
Oct 9, 2012, 07:37
I wasn't sure if I should submit a new report or add a post here.

Playing through this game on 0.147u1 X64 self compile I notice at random the emulation stops and you enter some "GFX garbage loop" that never ends. It happened too me on stage 1 and then another game on stage 5. The Reproducibility of this seems to be always 100% except you can't trigger it exactly when you want, you have to keep playing and eventually it randomly happens. When in this"GFX garbage loop"
state, MAME is completely functional as if nothing is wrong.

uploading is a save state, recorded movie and snaps.
User avatar
No.09007
NekoEd
Senior Tester
Oct 9, 2012, 20:16
I was unable to reproduce it within the first two stages, then the guy with the gun on stage 3 pissed me off and I quit. But yes, file a separate bug because it's a separate issue.
User avatar
No.12883
B2K24
Moderator
Jul 3, 2016, 08:45
This seems like it can be marked as resolved. I'm unable to see any flicker with barrels during attract runs.
User avatar
No.12897
M.A.S.H.
Senior Tester
Jul 4, 2016, 23:24
B2K24:
"Fixed in Version" is 0.123u3

MAME 0.123u3: Corrected clock speeds for the megasys1.c boards. Yes, the games actually ran _THAT_ slow! [Brian Troha]